using System;
using System.Linq;
using System.Collections;
using System.Collections.Generic;
using MeshVR;
using SimpleJSON;
using MacGruber;
using MVR.FileManagementSecure;


namespace CheesyFX {
	public partial class CheesyFX_WorkOut : MVRScript {
        public JSONStorableUrl loadURL;
        public const string BASE_DIRECTORY = "Saves/PluginData/CheesyFX/WorkOut";

        public void UISaveJSONDialog(){
            SuperController sc = SuperController.singleton;
            sc.GetMediaPathDialog(UISaveJSON, "jpg", BASE_DIRECTORY, false, true, false, null, true, null, false, false);
            sc.mediaFileBrowserUI.SetTextEntry(true);
            if(sc.mediaFileBrowserUI.fileEntryField != null){
                string filename = DateTime.Now.ToString("yyyyMMdd_HH-mm-ss");
                sc.mediaFileBrowserUI.fileEntryField.text = filename;
                sc.mediaFileBrowserUI.ActivateFileNameField();
            }
        }

        public void UISaveJSON(string path)
        {
            if (string.IsNullOrEmpty(path))
                return;
            string path1 = path.Replace('\\', '/')+".wo";
            JSONClass jc = textureManager.drivers[0].GetJSON();
            SaveJSON(jc, path1);
            SuperController.singleton.DoSaveScreenshot(path+".jpg");
        }

        public void UILoadJSON(string url){
            JSONClass jc = LoadJSON(url.Replace(".jpg",".wo")).AsObject;
            if(jc != null) textureManager.drivers[0].LoadJSON(jc);
        }
    }
}