// using System;
// using System.Linq;
// using System.Collections;
// using System.Collections.Generic;
// using MeshVR;
// using SimpleJSON;
// using UnityEngine.UI;

// using MVR.FileManagementSecure;
using MacGruber;

namespace CheesyFX {
	public partial class CheesyFX_WorkOut : MVRScript {
        

        public void CreateUI(){
            UIDynamicButton button;
            UIDynamicSlider slider;
            UIDynamicToggle toggle;

            button = Utils.SetupButton(this, "Save", UISaveJSONDialog, false);
            button = Utils.SetupButton(this, "Load",  delegate {}, true);
            
            loadURL.RegisterFileBrowseButton(button.button);

            FloatDriver fd = textureManager.drivers[0];
            slider = CreateSlider(fd.maxGloss, false);
            slider = CreateSlider(fd.minGloss, false);
            slider = CreateSlider(fd.thresholdAtMax, false);
            slider = CreateSlider(fd.thresholdAtMin, false);
            slider = CreateSlider(fd.exhaustionEffect, false);
            slider = CreateSlider(fd.baseChangeRatePos, false);
            slider = CreateSlider(fd.baseChangeRateNeg, false);

            
            // Utils.SetupInfoOneLine(this, "Info:", false);

            // Utils.SetupInfoOneLine(this, fd.activenessInfo, false);
            Utils.SetupInfoOneLine(this, fd.glossInfo, false);
            Utils.SetupInfoOneLine(this, fd.growthThresholdInfo, false);
            Utils.SetupInfoOneLine(this, fd.timeActiveInfo, false);

            slider = CreateSlider(fd.currentRate, false);
            // slider = CreateSlider(fd.glossUI, false);
            // slider = CreateSlider(fd.growthThreshold, false);
            // slider = CreateSlider(fd.timeActive, false);
            
            Utils.SetupInfoText(this, "Max gloss value that can be achieved.", 120f, true);
            Utils.SetupInfoText(this, "Min gloss value that can be achieved", 120f, true);
            Utils.SetupInfoText(this, "Level of activeness, that must be achieved to increase/not decrease gloss when current gloss equals maxGloss (and time = 0).", 120f, true);
            Utils.SetupInfoText(this, "As above, but at gloss = minGloss. Also the idle threshold, below which exhaustion decreases.", 120f, true);
            Utils.SetupInfoText(this, "Prolonged workouts produce more sweat, even at the same level of activeness. This gradually reduces the interpolated threshold between the set values at maxGloss and minGloss, as the workout continues. Disrupting the workout will reduce the effect faster than it builds up, since regeneration typically takes less time then exhaustion. Set to 0 to disable.", 405f, true);
            Utils.SetupInfoText(this, "Core info:\n'Current growth threshold' is interpolated between the values you set. It must be achieved to buid up sweat. Otherwise gloss decreases to minGloss. This threshold increases with the current gloss value, so it gets harder to build up sweat if you are already sweaty. The more you overshoot this threshold my moving a lot, the faster the sweat builds up, or otherwise. In addition to that, a surplus of say 1 produces less additional sweat at higher gloss values, since sweat evaporates faster, the hotter you are. Over time, the threshold decreases as you work out, since you get exhausted. This means as you start a workout with a given intensity, it settles at that specific gloss level, at which the current growth threshold equals your mean activeness. But as the threshold decreases with exaustion, your gloss level will slowly increase further over time, reaching perhaps another static level because of the diminishing returns at really hight gloss levels. 'Exhaustion' manages this behaviour.", 500f, true);
        
        }



        
    }
}